<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_6f7"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="@dimen/dp_12"
        android:background="@drawable/shape_8round_white"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_22"
            android:orientation="horizontal">

            <com.ruffian.library.widget.RView
                android:id="@+id/view"
                android:layout_width="@dimen/dp_4"
                android:layout_height="@dimen/dp_18"
                app:background_normal="@color/col_25C"
                app:corner_radius="2dp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_10"
                android:text="积分明细"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_17"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/mRefresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/dp_6">

            <com.scwang.smart.refresh.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/mRecycle"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <com.scwang.smart.refresh.footer.ClassicsFooter
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    </LinearLayout>

</LinearLayout>
